import { RbacService } from './RBAC.service';
import { AuthService } from './auth.service';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class ReportCasePermissionService {
    private rbacService;
    private authService;
    hasPermission: BehaviorSubject<boolean>;
    private rbacSubscription;
    constructor(rbacService: RbacService, authService: AuthService);
    ngOnDestroy(): void;
    checkReportACasePermission(): false | void;
    checkSubscription(): boolean;
    checkRBACPermission1(): boolean;
    checkRBACPermission(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ReportCasePermissionService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<ReportCasePermissionService>;
}
